---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap07t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x47E0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x503A0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x522E0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x526D0, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53670, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53680, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBCA, offset: 0xBCA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50010, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50014, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBE0, offset: 0xBE0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50018, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC25, offset: 0xC25, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50170, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC9E, offset: 0xC9E, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50228, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCBC, offset: 0xCBC, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5022C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCD5, offset: 0xCD5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50230, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCEE, offset: 0xCEE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50234, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50238, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92F1, offset: 0x92F1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50240, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x937A, offset: 0x937A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50250, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9393, offset: 0x9393, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50258, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93AC, offset: 0x93AC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50260, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93C5, offset: 0x93C5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50268, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93DE, offset: 0x93DE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50270, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93F8, offset: 0x93F8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50278, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94DE, offset: 0x94DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x502C0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x502C8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9549, offset: 0x9549, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3480, symSize: 0x80 }
  - { offsetInCU: 0x95DE, offset: 0x95DE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x33D0, symSize: 0xB0 }
  - { offsetInCU: 0x9639, offset: 0x9639, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x32D0, symSize: 0x100 }
  - { offsetInCU: 0x98CC, offset: 0x98CC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3500, symSize: 0xC0 }
  - { offsetInCU: 0x991E, offset: 0x991E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x35C0, symSize: 0x220 }
  - { offsetInCU: 0x9B03, offset: 0x9B03, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x37E0, symSize: 0xA0 }
  - { offsetInCU: 0x9BB6, offset: 0x9BB6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3880, symSize: 0x110 }
  - { offsetInCU: 0x9CAC, offset: 0x9CAC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3990, symSize: 0x150 }
  - { offsetInCU: 0x9E09, offset: 0x9E09, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3AE0, symSize: 0x30 }
  - { offsetInCU: 0x9E92, offset: 0x9E92, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3B10, symSize: 0x150 }
  - { offsetInCU: 0xA08A, offset: 0xA08A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3C60, symSize: 0x160 }
  - { offsetInCU: 0xA34A, offset: 0xA34A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3DC0, symSize: 0x4A0 }
  - { offsetInCU: 0xA5BD, offset: 0xA5BD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4260, symSize: 0x1B0 }
  - { offsetInCU: 0xA7D8, offset: 0xA7D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4410, symSize: 0xA0 }
  - { offsetInCU: 0xA8A7, offset: 0xA8A7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x44B0, symSize: 0x20 }
  - { offsetInCU: 0xA8DE, offset: 0xA8DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x44D0, symSize: 0x20 }
  - { offsetInCU: 0xA915, offset: 0xA915, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x44F0, symSize: 0x20 }
  - { offsetInCU: 0xAA84, offset: 0xAA84, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4510, symSize: 0x1A0 }
  - { offsetInCU: 0xADA0, offset: 0xADA0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x46B0, symSize: 0x130 }
  - { offsetInCU: 0xAF50, offset: 0xAF50, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4A50, symSize: 0x1B0 }
  - { offsetInCU: 0xB23F, offset: 0xB23F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4C00, symSize: 0x80 }
  - { offsetInCU: 0xB308, offset: 0xB308, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4C80, symSize: 0x6A0 }
  - { offsetInCU: 0xBE9D, offset: 0xBE9D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA230, symBinAddr: 0x6040, symSize: 0xB0 }
  - { offsetInCU: 0xBF14, offset: 0xBF14, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5320, symSize: 0x70 }
  - { offsetInCU: 0xBFD0, offset: 0xBFD0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5390, symSize: 0xA0 }
  - { offsetInCU: 0xC0CF, offset: 0xC0CF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5430, symSize: 0x40 }
  - { offsetInCU: 0xC1C5, offset: 0xC1C5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5470, symSize: 0x2B0 }
  - { offsetInCU: 0xC56B, offset: 0xC56B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5720, symSize: 0xC0 }
  - { offsetInCU: 0xC6B1, offset: 0xC6B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x57E0, symSize: 0x10 }
  - { offsetInCU: 0xC773, offset: 0xC773, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x57F0, symSize: 0x220 }
  - { offsetInCU: 0xCA70, offset: 0xCA70, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5A10, symSize: 0x10 }
  - { offsetInCU: 0xCACD, offset: 0xCACD, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5A20, symSize: 0x290 }
  - { offsetInCU: 0xCDBA, offset: 0xCDBA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EA0, symBinAddr: 0x5CB0, symSize: 0x10 }
  - { offsetInCU: 0xCE35, offset: 0xCE35, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x9EB0, symBinAddr: 0x5CC0, symSize: 0x50 }
  - { offsetInCU: 0xCEC0, offset: 0xCEC0, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0x9F00, symBinAddr: 0x5D10, symSize: 0x60 }
  - { offsetInCU: 0xCF95, offset: 0xCF95, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0x9F60, symBinAddr: 0x5D70, symSize: 0x90 }
  - { offsetInCU: 0xD05E, offset: 0xD05E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP07_ap07t002_setTag, symObjAddr: 0x9FF0, symBinAddr: 0x5E00, symSize: 0xA0 }
  - { offsetInCU: 0xD1A0, offset: 0xD1A0, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA090, symBinAddr: 0x5EA0, symSize: 0x1A0 }
  - { offsetInCU: 0xD3C3, offset: 0xD3C3, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2E0, symBinAddr: 0x60F0, symSize: 0x36A }
...
